Bug 93728 - astro/xephem - port installs cat page, not man page
Summary: astro/xephem - port installs cat page, not man page
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-22 22:20 UTC by Frank W. Josellis
Modified: 2006-04-06 23:46 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank W. Josellis 2006-02-22 22:20:01 UTC
Just a tiny  problem, but it makes the man page look damaged. Please note
that running `make` already executes `nroff -man xephem.man > xephem.1` in
${WRKSRC}. Thus xephem.1 is a formatted man page (i.e., cat page) which
should not be installed in ${PREFIX}/man/man1 because `man xephem` will 
later attempt another formatting. The result isn't really enjoyable.

Fix: 

Adding the line

       @${CP} ${WRKSRC}/xephem.man ${WRKSRC}/xephem.1

to the pre-install target should work.
Comment 1 Edwin Groothuis freebsd_committer 2006-02-22 22:24:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Josh Paetzel <josh@tcbug.org> 2006-02-23 00:07:21 UTC
On Wednesday 22 February 2006 16:24, Edwin Groothuis wrote:
> Maintainer of astro/xephem,
>
> Please note that PR ports/93728 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the
> patch and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/93728

Yep, looks good to me.

-- 
Thanks,

Josh Paetzel
Comment 3 Josh Paetzel <josh@tcbug.org> 2006-03-16 20:01:11 UTC
Here's a patch that will hopefully expedite getting this pr committed.


--- Makefile.old        Thu Mar 16 13:57:14 2006
+++ Makefile    Thu Mar 16 13:58:16 2006
@@ -54,6 +54,7 @@

 pre-install:
        @${FIND} ${WRKSRC}/../.. -name Makefile.bak -type f | ${XARGS} 
${RM} -f
+       @${CP} ${WRKSRC}/xephem.man ${WRKSRC}/xephem.1

 do-install:
        ${INSTALL_PROGRAM} ${WRKSRC}/xephem ${PREFIX}/bin


-- 
Thanks,

Josh Paetzel
Comment 4 Greg Lewis freebsd_committer 2006-04-06 23:44:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

I'll take it.
Comment 5 Greg Lewis freebsd_committer 2006-04-06 23:46:30 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!